com.pixelmed.display.event

## Class WindowLinearCalculationChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.WindowLinearCalculationChangeEvent

    public class WindowLinearCalculationChangeEvent
    extends Event

### Field Summary

Fields
`static java.lang.String` `dicomCalculation`
`static java.lang.String` `exactCalculation`

### Constructor Summary

Constructors
Constructor and Description
`WindowLinearCalculationChangeEvent(EventContext eventContext, java.lang.String calculation)`

### Method Summary

Methods
`java.lang.String` `getCalculation()`
`boolean` `isDicomCalculation()`
`boolean` `isExactCalculation()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### exactCalculation

    public static final java.lang.String exactCalculation

See Also:
  Constant Field Values

#### dicomCalculation

    public static final java.lang.String dicomCalculation

See Also:
  Constant Field Values

### Constructor Detail

#### WindowLinearCalculationChangeEvent

    public WindowLinearCalculationChangeEvent(EventContext eventContext,
                                      java.lang.String calculation)

Parameters:
  `eventContext` -
  `calculation` -

### Method Detail

#### getCalculation

    public java.lang.String getCalculation()

#### isExactCalculation

    public boolean isExactCalculation()

#### isDicomCalculation

    public boolean isDicomCalculation()